* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --card-bg: #ffffff27;
    --card-border: #ffffff4f;
    --text: #ffffff;
    --subtext: #e7e7e7;
    --accent1: #fc5f60;
    --accent2: #60a2ff;
}

html {
    scroll-behavior: smooth;
    background: linear-gradient(to bottom right, var(--accent1), var(--accent2));
    font-family: 'Poppins', sans-serif;
    font-weight: 500;
    color: var(--text);
}

body {
    display: flex;
    flex-direction: column;
    text-align: center;
    margin: 0 auto;
    padding: 16px 0 0;
    max-width: 800px;
    min-height: 100vh;
}

a {
    color: inherit;
    text-decoration: none;
}

img {
    user-select: none;
}

header {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    user-select: none;
}

header a {
    font-size: 19px;
    text-shadow: 0 3px 6px #0000003a;
    transition: color 0.2s ease;
}

header a:hover {
    color: var(--subtext);
}

main {
    display: flex;
    flex-direction: column;
    gap: 24px;
    padding: 24px 0 24px;
}

main hr {
    height: 4px;
    background-color: var(--card-border);
    -webkit-backdrop-filter: blur(12px);
    backdrop-filter: blur(12px);
    border-radius: 99px;
    border: none;
}

@media (max-width: 768px) {
    header a {
        font-size: 18px;
    }

    main {
        padding: 24px 32px 24px;
    }

    main hr {
        height: 3px;
    }
}

@media (max-width: 480px) {
    header a {
        font-size: 16px;
    }
}